Package org.apache.tomcat.util.net.jsse

## Class JSSEUtil

- java.lang.Object
- - org.apache.tomcat.util.net.SSLUtilBase
  - - org.apache.tomcat.util.net.jsse.JSSEUtil

All Implemented Interfaces:
  `SSLUtil`

    public class JSSEUtil
    extends SSLUtilBase

SSLUtil implementation for JSSE.

Author:
  Harish Prabandham, Costin Manolache, Stefan Freyr Stefansson, EKR, Jan Luehe

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.SSLUtil

`SSLUtil.ProtocolInfo`

### Field Summary

### Fields inherited from class org.apache.tomcat.util.net.SSLUtilBase

`certificate, DEFAULT_KEY_ALIAS, sslHostConfig`

### Constructor Summary

Constructors
`JSSEUtil​(SSLHostConfigCertificate certificate)`
`JSSEUtil​(SSLHostConfigCertificate certificate, boolean warnOnSkip)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SSLContext` `createSSLContextInternal​(java.util.List<java.lang.String> negotiableProtocols)`
`protected java.util.Set<java.lang.String>` `getImplementedCiphers()`
`protected java.util.Set<java.lang.String>` `getImplementedProtocols()`
`protected Log` `getLog()`
`protected boolean` `isTls13RenegAuthAvailable()`

### Methods inherited from class org.apache.tomcat.util.net.SSLUtilBase

`configureSessionContext, createSSLContext, getCRLs, getEnabledCiphers, getEnabledProtocols, getKeyManagers, getParameters, getTrustManagers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSSEUtil

    public JSSEUtil​(SSLHostConfigCertificate certificate)

#### JSSEUtil

    public JSSEUtil​(SSLHostConfigCertificate certificate,
                    boolean warnOnSkip)

### Method Detail

#### getLog

    protected Log getLog()

Specified by:
  `getLog` in class `SSLUtilBase`

#### getImplementedProtocols

    protected java.util.Set<java.lang.String> getImplementedProtocols()

Specified by:
  `getImplementedProtocols` in class `SSLUtilBase`

#### getImplementedCiphers

    protected java.util.Set<java.lang.String> getImplementedCiphers()

Specified by:
  `getImplementedCiphers` in class `SSLUtilBase`

#### isTls13RenegAuthAvailable

    protected boolean isTls13RenegAuthAvailable()

Specified by:
  `isTls13RenegAuthAvailable` in class `SSLUtilBase`

#### createSSLContextInternal

    public SSLContext createSSLContextInternal​(java.util.List<java.lang.String> negotiableProtocols)
                                        throws java.security.NoSuchAlgorithmException

Specified by:
  `createSSLContextInternal` in class `SSLUtilBase`
Throws:
  `java.security.NoSuchAlgorithmException`